[CCode (cprefix = "Ella.Utils", lower_case_cprefix = "ella_utils_")]
namespace Ella.Utils
{
    [CCode (cheader_filename = "ella-math.h")]
    public void sort_coords(ref double x_from, ref double y_from, ref double x_to, ref double y_to);
}
namespace Ella
{
    [CCode (cheader_filename = "ella-files.h")]
    public struct Color
    {
        double red;
        double green;
        double blue;
        double alpha;
    }
}
[CCode (cprefix = "Ella.Config", lower_case_cprefix = "ella_config_")]
namespace Ella.Config
{
    [CCode (cheader_filename = "ella-user_config.h")]
    public double get_gtk_color_r(Gtk.Widget widget);
    [CCode (cheader_filename = "ella-user_config.h")]
    public double get_gtk_color_g(Gtk.Widget widget);
    [CCode (cheader_filename = "ella-user_config.h")]
    public double get_gtk_color_b(Gtk.Widget widget);
    [CCode (cheader_filename = "ella-user_config.h")]
    public double get_gtk_color_fg_r(Gtk.Widget widget);
    [CCode (cheader_filename = "ella-user_config.h")]
    public double get_gtk_color_fg_g(Gtk.Widget widget);
    [CCode (cheader_filename = "ella-user_config.h")]
    public double get_gtk_color_fg_b(Gtk.Widget widget);

    [CCode (cheader_filename = "ella-user_config.h")]
    public double get_gtk_color_bg_r(Gtk.Widget widget);
    [CCode (cheader_filename = "ella-user_config.h")]
    public double get_gtk_color_bg_g(Gtk.Widget widget);
    [CCode (cheader_filename = "ella-user_config.h")]
    public double get_gtk_color_bg_b(Gtk.Widget widget);
}

[CCode (cprefix = "Ella", lower_case_cprefix = "ella_")]
namespace Ella
{
    [CCode (cheader_filename = "ella-dirs.h")]
    public unowned string get_data_dir();
}
