#ifndef H_DLGDIVERS_20101130
#define H_DLGDIVERS_20101130

/* translations */
#include <locale.h>
#include <libintl.h>

#include <stdlib.h>

/**************************
 * en têtes des dialogues
 * communs
 *************************/
#include <gtk/gtk.h>

#include "ella-dirs.h"

#include "ella-user_config.h"

GtkWidget *create_dialogPrefs (gint w,gint h,gint marges,gint fps,
                       gint footage,GdkColor pcolor,gboolean f_archive,gint zoom);
GtkWidget *dlg_create_dialogImporter (gchar *titre,gint format);
GtkWidget *create_dialogRenameLayer (gchar *nom_calque,GtkWidget *entry1RenameLayer);
GtkWidget *create_dialogAddFramesAfterCursor (gint position_actuelle, gint max_possible, gint *val_int);

gint dialog_ask_before_quit(void);
void dlg_file_error(void);
GtkWidget* create_dialogFootage (gint fps);
gint dlg_get_horizontal_align(void);
gint dlg_get_vertical_align(void);
gint dlg_get_zone_align(void);
GtkWidget *create_dialogAlignement (void);
void dlg_misc_error(gchar *msg);


GtkWidget *create_file_save_dialog (void);
GtkWidget *create_DialogOpenFile (gchar* titre, const gchar* filtre1,
                                  gchar* filtre2, gchar* filtre3);
GtkWidget *create_DialogExportFile (gchar* titre, const gchar* filtre1,
                                    gchar* filtre2, gchar* filtre3);
#endif 
