/*
copyright 2010 Lucas Baudin <xapantu@gmail.com>
This file is part of Ella.

Ella is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Ella is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Ella.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef H_PAGE_SIZE_20101130
#define H_PAGE_SIZE_20101130

#include <gtk/gtk.h>

#include "ella-dirs.h"
#include "editor/editor.h"

/* This function is used to load a dialog from the glade file, it is the
 * page_size dialog.
 * It returns a pointer of the dialog. */
GtkWidget* create_dialog_page_size(gint width, gint height, gint margins);

void
on_spinWidth_changed              (GtkWidget        *spin,
                                   gpointer         user_data);

void
on_spinHeight_changed              (GtkWidget        *spin,
                                   gpointer         user_data);

void
on_spinMargins_changed              (GtkWidget        *spin,
                                   gpointer         user_data);

#endif
