#ifndef H_TIMELINE_20101130
#define H_TIMELINE_20101130

/* translations */
#include <locale.h>
#include <libintl.h>

#include "ellasyms.h"
#include "ella-user_config.h"
#include "config.h"
#include "ella-widgets.h"
extern EllaCanvas* canvas;


gint timeline_get_zooming(void);
void timeline_set_zooming(gint z);

gint timeline_get_default_footage(void);

void timeline_set_default_movie_zoom(gint zoom);
gint timeline_get_default_movie_zoom(void);

gboolean on_timeline_button_press(GtkWidget* w,
		      GdkEventButton *event,
		      GtkWidget        *win);
gboolean on_timeline_button_release(GtkWidget* w,
		      GdkEventButton *event,
		      GtkWidget        *win);
gboolean on_timeline_mouse_move(GtkWidget* w,
		      GdkEventButton *event,
		      GtkWidget        *win);


gboolean timeline_on_layer_changed(GtkWidget* timeline, gpointer user_data);
gboolean timeline_on_layer_hidden(GtkWidget* timeline, EllaLayer* layer);
gboolean timeline_on_position_changed(GtkWidget* timeline, gint time);
gboolean timeline_on_keyframe_added(GtkWidget* widget, gpointer user_data);

void timeline_set_default_movie_freq(gint fps);
void timeline_set_movie_freq(gint fps);

gint timeline_get_movie_freq(void);
gint timeline_get_default_movie_freq(void);

gint timeline_get_layers_count(void);

EllaTimeline* timeline;

extern GSList* layers_list;
#endif
