/*
copyright 2010 Lucas Baudin <xapantu@gmail.com>
This file is part of Ella.

Ella is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Ella is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Ella.  If not, see <http://www.gnu.org/licenses/>.
*/
#include "dialogs/about.h"

GtkWidget* create_dialog_about(void)
{
    
    GtkBuilder* builder = gtk_builder_new();
    gtk_builder_add_from_file(builder, g_build_filename(ella_get_data_dir(), "ui/about.ui", NULL), NULL);

    /* We'll return this pointer at the end of the function. */
    GtkWidget* dialog;

    /* Get the dialog from the glade file. */
    dialog = GTK_WIDGET(gtk_builder_get_object(builder, "aboutElla"));

    return dialog;
}
