/* Copyright (C) 2010 Lucas Baudin
*
* This file is part of Ella Project.
*
* Ella Project is free software : you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* Ella Project is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY ; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with Ella Project. If not, see <http ://www.gnu.org/licenses/>.
*/

#include "dialogs/splash_screen.h"

/*******************************************
 * close splash screen after a timeout
 * request
 * ****************************************/
gboolean  splahScreenOff(void *data)
{
    gtk_widget_destroy(GTK_WIDGET(data));  
    return FALSE;
}
/*****************************************
 * splash screen
 * **************************************/

GtkWidget* create_window_SplashScreen(void)
{
  GtkBuilder* builder;
  builder = gtk_builder_new();
  gtk_builder_add_from_file (builder, g_build_filename((gchar *)ella_get_data_dir(), "/ui/splash_screen.ui", NULL), NULL);
  return GTK_WIDGET(gtk_builder_get_object(builder, "window1"));
}
