#ifndef H_INTERFACE_20101130
#define H_INTERFACE_20101130

#include "config.h"

#include "ella-user_config.h"

/* translations */
#include <locale.h>
#include <libintl.h>
#define _(x) gettext(x)

#include <gdk/gdkkeysyms.h>

#include "dialogs/dialogs_editor.h"
#include "callbacks.h"
#include "editor/editor_callbacks.h"
#include "callbacks/editor.h"
#include "widgets/properties_panel.h"
#include "dialogs/splash_screen.h"
#include "ella-widgets.h"
#include "timeline.h"

/* To keep compatibility with old GDK version */
#ifndef GDK_KEY_A
    #define GDK_KEY_A GDK_A
    #define GDK_KEY_G GDK_G
    #define GDK_KEY_Delete GDK_Delete
    #define GDK_KEY_F5 GDK_F5
    #define GDK_KEY_F6 GDK_F6
    #define GDK_KEY_F7 GDK_F7
    #define GDK_KEY_Return GDK_Return
    #define GDK_KEY_KP_Add GDK_KP_Add
    #define GDK_KEY_KP_Subtract GDK_KP_Subtract
    #define GDK_KEY_U GDK_A
#endif
#endif 
